Bug 26490 - Column configuration for account-fines hides the wrong columns
Summary: Column configuration for account-fines hides the wrong columns
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-18 15:05 UTC by Caroline Cyr La Rose
Modified: 2020-10-20 13:42 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 24690: Fix column configuration for fines trasactions (1.38 KB, patch)
2020-09-20 22:09 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24690: Fix column configuration for fines trasactions (1.43 KB, patch)
2020-09-22 12:26 UTC, David Nind
Details | Diff | Splinter Review
Bug 26490: Fix column configuration for fines trasactions (1.44 KB, patch)
2020-09-25 10:15 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-09-18 15:05:47 UTC
Hello!

I was trying to find out how to hide the "Home library" column from the transactions table in the patron's account (Patron account > Accounting tab > Transactions tab).

The right column id in Table settings is account-fines (Administration > Table settings > Patrons > account-fines).

There are two problems here:
1) The home library column doesn't appear in the table settings for account-fines
2) Checking the notes column in the account-fines table settings hides the home library column

This means that because there are columns missing, the other ones are off.

To replicate on master:
1) Go to a patron's account
2) Click on the Accounting tab and then the Transactions tab
3) In another browser tab, go to Administration > Table settings > Patrons
4) In the account-fines table, check the box to hide the Notes column
5) Go back to the patron's account and refresh the page. Notice the Notes column is still there but the Home library column is not there anymore

I think Home library is the only missing column.
Comment 1 Katrin Fischer 2020-09-20 22:09:38 UTC
Created attachment 110440 [details] [review]
Bug 24690: Fix column configuration for fines trasactions

Hiding the last columns on the fines transactions in the
patron account in staff didn't work correctly as we had missed
adding Home library to the configuration options when it was
added.

This adds the missing definition and now all columns can be
toggled correctly.

To test:
- Go to any patron account in staff
- Go to Accounting > tab transactions (maybe add some fines)
- Toggle the columns on the table using the menu, especially
  - notes, home library and checkout date
- Go to Administration > Table configuration
- Verify the settings for the table work well from there too -
  with the patch, home_library will show as new option
Comment 2 David Nind 2020-09-22 12:26:43 UTC
Created attachment 110546 [details] [review]
Bug 24690: Fix column configuration for fines trasactions

Hiding the last columns on the fines transactions in the
patron account in staff didn't work correctly as we had missed
adding Home library to the configuration options when it was
added.

This adds the missing definition and now all columns can be
toggled correctly.

To test:
- Go to any patron account in staff
- Go to Accounting > tab transactions (maybe add some fines)
- Toggle the columns on the table using the menu, especially
  - notes, home library and checkout date
- Go to Administration > Table configuration
- Verify the settings for the table work well from there too -
  with the patch, home_library will show as new option

https://bugs.koha-community.org/show_bug.cgi?id=26490

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Martin Renvoize 2020-09-25 10:15:10 UTC
Created attachment 110742 [details] [review]
Bug 26490: Fix column configuration for fines trasactions

Hiding the last columns on the fines transactions in the
patron account in staff didn't work correctly as we had missed
adding Home library to the configuration options when it was
added.

This adds the missing definition and now all columns can be
toggled correctly.

To test:
- Go to any patron account in staff
- Go to Accounting > tab transactions (maybe add some fines)
- Toggle the columns on the table using the menu, especially
  - notes, home library and checkout date
- Go to Administration > Table configuration
- Verify the settings for the table work well from there too -
  with the patch, home_library will show as new option

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-09-25 10:15:54 UTC
Ooops; Works as expected, thanks for the fix Katrin.

Passing QA
Comment 5 Jonathan Druart 2020-09-28 14:12:23 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-10-20 13:42:49 UTC
doesnt apply cleanly to 20.05.x, no backport